For AI agents and LLMs: a structured documentation index is available at /llms.txt. Every page has a Markdown sibling — append .md to any URL.

Skip to content
Paddle Docs home

Default scopes

Most list endpoints return active entities. Filter by status to see entities with other statuses.

AI summary

Most list endpoints return only active entities by default, but you can use the status query parameter to filter for archived entities or both statuses combined.

  • • By default, list endpoints use an 'active' scope—archived entities are excluded unless you explicitly filter using the status parameter
  • • Most entities support active/archived statuses, but complex entities like transactions, subscriptions, and adjustments have unique status values and default to 'all' scope
  • • Use ?status=archived or ?status=archived,active in your API requests to change the scope and retrieve different entity statuses

Most list endpoints only return active entities by default, so archived entities aren't included in the results.

EntityDefault scope
Most list operationsactive
Adjustmentsall
Notificationsall
Notification settingsall
Reportsall
Subscriptionsall
Transactionsall

Most entities in the Paddle API can either be active or archived. More complex entities like transactions, subscriptions, and adjustments have their own unique status values.

The estimated total in the pagination object is for entities that match the scope. For scopes that match more than 100,000 entities, estimated_total is capped at 100001. See Pagination for details.

Change scope

Use the status query parameter when making a request to get archived or active entities.

For example, to list archived products:

GET /products?status=archived
status array[string]

Return entities that match the specified status. Use a comma-separated list to specify multiple status values.

To return all entities, use a comma to include active and archived. For example:

GET /products?status=archived,active
status array[string]

Return entities that match the specified status. Use a comma-separated list to specify multiple status values.

Was this page helpful?